#include <string.h>
#include "ev3api.h"
#include "syssvc/serial.h"
//#include "app.h"
#include "control.h"
//#include "action.h"

void startOpen(void) {
	static char msg[100];
	sprintf(msg, "open called\r\n");
	(void)serial_wri_dat(SIO_PORT_BT, msg, sizeof(msg));

	//フタを開ける
	openCover();
}

void startClose(void) {
	static char msg[100];
	sprintf(msg, "close called\r\n");
	(void)serial_wri_dat(SIO_PORT_BT, msg, sizeof(msg));

	//フタを閉じる
	closeCover();
}

void startSpray(void) {
	static char msg[100];
	sprintf(msg, "start splay called\r\n");
	(void)serial_wri_dat(SIO_PORT_BT, msg, sizeof(msg));

	// ノズルを出す
	putOutNozzle();
	// splay開始
	openSplay();
}

void stopSpray() {
	static char msg[100];
	sprintf(msg, "stop splay called\r\n");
	(void)serial_wri_dat(SIO_PORT_BT, msg, sizeof(msg));

	// splay停止
	closeSplay();
	tslp_tsk(100);
	// ノズルをしまう
	putAwayNozzle();
}

void startFlash(int flashTime) {
	static char msg[100];
	sprintf(msg, "start flash called\r\n");
	(void)serial_wri_dat(SIO_PORT_BT, msg, sizeof(msg));

	openFlash();
	tslp_tsk(flashTime * 1000); // フラッシュ終了時間待ち
	closeFlash();
}
